This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 397551 - require qca-gnupg so that gpg support will work
require qca-gnupg so that gpg support will work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 20:12 EST by Solomon Peachy
Modified: 2008-02-07 15:56 EST (History)
0 users

See Also:
Fixed In Version: 0.11-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Solomon Peachy 2007-11-23 20:12:59 EST
I routinely use psi with encryption (gpg) support.   After upgrading from 0.10
to 0.11 as part of a nightly 'yum update', gpg support no longer worked.  

After much digging around, I discovered the problem is due to 'qca-gnupg' not
being installed.

[pizza@heatwave ~]$ rpm -q psi
psi-0.11-1.fc7.x86_64

Please add a 'requires' line to the rpm so that support is automatically
enabled, or at least add a note to the package info (rpm -qi) text stating that
qca-gnupg is required if you want to use gnupg.  (It already has a mention of
qca-tls being necessary for TLS support)

This is a regression from the 0.10 RPMs, for what it's worth.
Comment 1 Fedora Update System 2007-11-26 13:44:51 EST
psi-0.11-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update psi'
Comment 2 Fedora Update System 2007-11-26 13:48:26 EST
psi-0.11-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update psi'
Comment 3 Fedora Update System 2008-02-07 15:55:20 EST
psi-0.11-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-02-07 15:56:43 EST
psi-0.11-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.